Return a Payment Method
Returns a Payment Method
GET
/
api
/
v2
/
platform
/
payment_methods
/
{id}
Return a Payment Method
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://{defaultHost}/api/v2/platform/payment_methods/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url http://{defaultHost}/api/v2/platform/payment_methods/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "30",
"type": "payment_method",
"attributes": {
"name": "Credit Card",
"type": "Spree::Gateway::Bogus",
"description": null,
"active": true,
"display_on": "both",
"auto_capture": null,
"position": 4,
"created_at": "2022-11-08T19:34:48.855Z",
"updated_at": "2022-11-08T19:34:48.857Z",
"deleted_at": null,
"public_metadata": {},
"private_metadata": {},
"preferences": {
"dummy_key": "PUBLICKEY123",
"test_mode": true,
"server": "test"
}
},
"relationships": {
"stores": {
"data": [
{
"id": "295",
"type": "store"
}
]
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes
Response
Record found
Show child attributes
Show child attributes
Was this page helpful?
Return a Payment Method
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://{defaultHost}/api/v2/platform/payment_methods/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url http://{defaultHost}/api/v2/platform/payment_methods/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "30",
"type": "payment_method",
"attributes": {
"name": "Credit Card",
"type": "Spree::Gateway::Bogus",
"description": null,
"active": true,
"display_on": "both",
"auto_capture": null,
"position": 4,
"created_at": "2022-11-08T19:34:48.855Z",
"updated_at": "2022-11-08T19:34:48.857Z",
"deleted_at": null,
"public_metadata": {},
"private_metadata": {},
"preferences": {
"dummy_key": "PUBLICKEY123",
"test_mode": true,
"server": "test"
}
},
"relationships": {
"stores": {
"data": [
{
"id": "295",
"type": "store"
}
]
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}
